Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.callback
Class AxedaCallbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.axeda.esrs.portal.callback.AxedaCallbackException

All Implemented Interfaces:
  AxedaSDKException, java.io.Serializable

    public class AxedaCallbackException

extends java.lang.Exception
implements AxedaSDKException

Created by IntelliJ IDEA. User: kholbrook Date: Jul 8, 2009 Time: 9:16:17 AM To change this template use File | Settings | File Templates.

See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_NOT_ACCESSIBLE`
`static int` | `CLASS_NOT_FOUND`
`static int` | `CLASS_NOT_INSTANTIATED`
`static int` | `DEVICE_NOT_FOUND`
`static int` | `INVALID_NUMBER_OF_ARGUMENTS`
`static int` | `MODEL_NOT_FOUND`
`static int` | `REMOTE_APPLICATION_NOT_FOUND`

Constructor Summary
`AxedaCallbackException(int errorCode)`

Method Summary
`int` | `getCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS_NOT_FOUND

    public static final int CLASS_NOT_FOUND

See Also:
  Constant Field Values

### CLASS_NOT_INSTANTIATED

    public static final int CLASS_NOT_INSTANTIATED

See Also:
  Constant Field Values

### CLASS_NOT_ACCESSIBLE

    public static final int CLASS_NOT_ACCESSIBLE

See Also:
  Constant Field Values

### INVALID_NUMBER_OF_ARGUMENTS

    public static final int INVALID_NUMBER_OF_ARGUMENTS

See Also:
  Constant Field Values

### DEVICE_NOT_FOUND

    public static final int DEVICE_NOT_FOUND

See Also:
  Constant Field Values

### MODEL_NOT_FOUND

    public static final int MODEL_NOT_FOUND

See Also:
  Constant Field Values

### REMOTE_APPLICATION_NOT_FOUND

    public static final int REMOTE_APPLICATION_NOT_FOUND

See Also:
  Constant Field Values

Constructor Detail

### AxedaCallbackException

    public AxedaCallbackException(int errorCode)

Method Detail

### getCode

    public int getCode()

  Specified by:
    `getCode` in interface `AxedaSDKException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD